# 32/64bit spec-file
#
%define name	qrupdate
%define version 1.0.1
%define release %mkrel 2
%define major	1

%define libname %mklibname %name %major
%define develname %mklibname %name -d

Summary:	Fortran library for fast updates of QR/Cholesky decompositions
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source0:	%{name}-%{version}.tar.gz
License:	GPLv3+
Group:		Development/Other
Url:		http://qrupdate.sourceforge.net/
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
BuildRequires:	gcc-gfortran, blas-devel, lapack-devel
Requires:   	glibc >= 2.10.1
Requires:   	libstdc++6 >= 4.4.1
Obsoletes: 	%name < %version

%description
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

%package -n %{libname}
Summary:	qrupdate shared libraries
Group:		System/Libraries

%description -n %{libname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the shared library required for running programs
built against %{name}.

%package -n %{develname}
Summary:	qrupdate development files
Group:		Development/Other
Requires:	%{libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{develname}
qrupdate is a Fortran library for fast updates of QR and Cholesky
decompositions.

This package contains the files required for building programs
that use %{name}.

%prep
%setup -q

%build
%make lib solib

%install
%__rm -rf %{buildroot}

%ifarch x86_64
%__sed -i 's,\/lib\/,\/lib64\/,g' src/Makefile
%endif
%make PREFIX=%{buildroot}/usr install

%clean
%__rm -rf %{buildroot}

%files -n %{libname}
%defattr(-,root,root)
%_libdir/*.so.*

%files -n %{develname}
%defattr(-,root,root)
%doc README ChangeLog COPYING
%_libdir/*.so
%_libdir/*.a

%post -n %{libname}
/sbin/ldconfig

%postun -n %{libname}
/sbin/ldconfig


%changelog
* Wed Jan 30 2013 pinoc <vogtpet at gmail.com> 1.0.1-2pclos2013
- rebuild for 64bit

* Thu Nov 18 2009 johnnyblack <johnnyblack at inbox.com> 1.0.1-1pclos2010
- import from mdv
- gcc update


